package org.xesstandard.factory.impl;

import org.xesstandard.factory.XesFactory;
import org.xesstandard.model.XesClassifier;
import org.xesstandard.model.XesEvent;
import org.xesstandard.model.XesExtension;
import org.xesstandard.model.XesGlobal;
import org.xesstandard.model.XesLog;
import org.xesstandard.model.XesTrace;
import org.xesstandard.model.XesValues;
import org.xesstandard.model.attributes.XesBooleanAttribute;
import org.xesstandard.model.attributes.XesDateTimeAttribute;
import org.xesstandard.model.attributes.XesIdAttribute;
import org.xesstandard.model.attributes.XesIntegerNumberAttribute;
import org.xesstandard.model.attributes.XesListAttribute;
import org.xesstandard.model.attributes.XesRealNumberAttribute;
import org.xesstandard.model.attributes.XesStringAttribute;
import org.xesstandard.model.attributes.impl.XesBooleanAttributeImpl;
import org.xesstandard.model.attributes.impl.XesDateTimeAttributeImpl;
import org.xesstandard.model.attributes.impl.XesIdAttributeImpl;
import org.xesstandard.model.attributes.impl.XesIntegerNumberAttributeImpl;
import org.xesstandard.model.attributes.impl.XesListAttributeImpl;
import org.xesstandard.model.attributes.impl.XesRealNumberAttributeImpl;
import org.xesstandard.model.attributes.impl.XesStringAttributeImpl;
import org.xesstandard.model.impl.XesClassifierImpl;
import org.xesstandard.model.impl.XesEventImpl;
import org.xesstandard.model.impl.XesExtensionImpl;
import org.xesstandard.model.impl.XesGlobalImpl;
import org.xesstandard.model.impl.XesLogImpl;
import org.xesstandard.model.impl.XesTraceImpl;
import org.xesstandard.model.impl.XesValuesImpl;

public class XesFactoryImpl implements XesFactory {

	public XesLog createLog() {
		return new XesLogImpl();
	}

	public XesExtension createExtension() {
		return new XesExtensionImpl();
	}

	public XesGlobal createGlobal() {
		return new XesGlobalImpl();
	}

	public XesClassifier createClassifier() {
		return new XesClassifierImpl();
	}

	public XesTrace createTrace() {
		return new XesTraceImpl();
	}

	public XesEvent createEvent() {
		return new XesEventImpl();
	}

	public XesStringAttribute createStringAttribute() {
		return new XesStringAttributeImpl();
	}

	public XesDateTimeAttribute createDateTimeAttribute() {
		return new XesDateTimeAttributeImpl();
	}

	public XesIntegerNumberAttribute createIntegerNumberAttribute() {
		return new XesIntegerNumberAttributeImpl();
	}

	public XesRealNumberAttribute createRealNumberAttribute() {
		return new XesRealNumberAttributeImpl();
	}

	public XesBooleanAttribute createBooleanAttribute() {
		return new XesBooleanAttributeImpl();
	}

	public XesIdAttribute createIdAttribute() {
		return new XesIdAttributeImpl();
	}

	public XesListAttribute createListAttribute() {
		return new XesListAttributeImpl();
	}

	public XesValues createValues() {
		return new XesValuesImpl();
	}

}
