package org.xesstandard.model;

/**
 * XES Attribute. See Clause 5.4.
 * 
 * @author H.M.W. Verbeek
 *
 */
public interface XesAttribute extends XesComponent {

	/**
	 *  @return The type of the attribute.
	 */
	public XesAttributeType getType();
	
	/**
	 * @return Whether the attribute is simple. If not, it is composite (that is, a list).
	 */
	public boolean isSimple();
	
	/**
	 * Sets the extension for the attribute.
	 * @param extension The extension to set. 
	 */
	public void setExtension(XesExtension extension);
	/**
	 * @return The extension set for the attribute. 
	 */
	public XesExtension getExtension();
	
	/**
	 * Sets the key for the attribute. Note that a key may be any String, hence it may
	 * contains spaces, colons, ... 
	 * @param key The key to set.
	 */
	public void setKey(String key);
	/**
	 * @return The key set for the attribute.
	 */
	public String getKey();
	
	/**
	 * @return The value set for the attribute as a String.
	 */
	public String getStringValue();
}
