package org.xesstandard.model;

/**
 * XES attribute types. See Clause 5.4.
 * 
 * @author H.M.W. Verbeek
 *
 */
public enum XesAttributeType {

	/**
	 * Type if no type has been set.
	 */
	NONE,
	/**
	 * String type. Simple.
	 */
	STRING,
	/**
	 * UTC time type. Simple.
	 */
	DATETIME,
	/**
	 * Integer number type. Simple.
	 */
	INTEGERNUMBER,
	/**
	 * Real number type. Simple.
	 */
	REALNUMBER,
	/**
	 * Boolean type. Simple.
	 */
	BOOLEAN,
	/**
	 * UUID type. Simple.
	 */
	ID,
	/**
	 * List type. Composite.
	 */
	LIST
}
