package org.xesstandard.model.attributes;

import java.util.List;

import org.xesstandard.model.XesAttribute;

public interface XesListAttribute extends XesAttribute {

	/**
	 * Adds a value to the list attribute.
	 * @param value The value to add. 
	 */
	public void addValue(XesAttribute value);
	/**
	 * @return The list of values set for (or added to) the list attribute. 
	 */
	public List<XesAttribute> getValues();
	/**
	 * Sets the values for the list attribute.
	 * @param values The values to set for the list attribute.
	 */
	public void setValues(List<XesAttribute> values);
}
