package org.xesstandard.model.attributes.impl;

import java.util.Date;

import org.joda.time.DateTime;
import org.joda.time.DateTimeZone;
import org.xesstandard.model.XesAttributeType;
import org.xesstandard.model.attributes.XesDateTimeAttribute;
import org.xesstandard.model.impl.XesAttributeImpl;

public class XesDateTimeAttributeImpl extends XesAttributeImpl implements XesDateTimeAttribute {

	/*
	 * Date value of the attribute. May be <null>.
	 */
	private Date value = null;
	
	/*
	 * Construct a date attribute.
	 */
	public XesDateTimeAttributeImpl() {
		super(XesAttributeType.DATETIME);
	}
	
	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.XesAttribute#getStringValue()
	 */
	public String getStringValue() {
		return new DateTime(value).withZone(DateTimeZone.UTC).toString();
	}

	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.attributes.XesDateTimeAttribute#setValue(java.util.Date)
	 */
	public void setValue(Date value) {
		this.value = value;
	}

	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.attributes.XesDateTimeAttribute#getValue()
	 */
	public Date getValue() {
		return value;
	}

}
