package org.xesstandard.model.impl;

import org.xesstandard.model.XesAttribute;
import org.xesstandard.model.XesAttributeType;
import org.xesstandard.model.XesExtension;

public abstract class XesAttributeImpl extends XesComponentImpl implements XesAttribute {

	/*
	 * The type of the attribute.
	 */
	private XesAttributeType type = XesAttributeType.NONE;
	
	/*
	 * The extension of the attribute.
	 */
	private XesExtension extension = null;
	
	/*
	 * The key of the attribute.
	 */
	private String key = null;
	
	/*
	 * Constructs a fresh XES attribute of given type.
	 * Note that the type is set upon construction, and cannot be changed afterwards.
	 */
	public XesAttributeImpl(XesAttributeType type) {
		this.type = type;
	}
	
	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.XesAttribute#getType()
	 */
	public XesAttributeType getType() {
		return type;
	}
	
	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.XesAttribute#isSimple()
	 */
	public boolean isSimple() {
		return true;
	}
	
	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.XesAttribute#getExtension()
	 */
	public XesExtension getExtension() {
		return extension;
	}
	
	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.XesAttribute#setExtension(org.xesstandard.model.XesExtension)
	 */
	public void setExtension(XesExtension extension) {
		this.extension = extension;
	}
	
	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.XesAttribute#getKey()
	 */
	public String getKey() {
		return key;
	}
	
	/*
	 * (non-Javadoc)
	 * @see org.xesstandard.model.XesAttribute#setKey(java.lang.String)
	 */
	public void setKey(String key) {
		this.key = key;
	}
	
	public String toString() {
		return key + "=" + getStringValue() + " " + super.toString();
	}
}
