package org.xesstandard.xml;

import java.io.File;
import java.io.FileInputStream;
import java.io.InputStream;

import org.xesstandard.model.XesLog;

public class XesXmlParserLenient extends XesAbstractXmlParser {

	/**
	 * Lenient parser, Accepts everything and makes the best out of it.
	 * Only returns <null> if no log was found in the file.
	 */
	public XesXmlParserLenient() {
		super(XesXmlIssueLevel.LENIENT);
	}
	
	public String getName() {
		return "IEEE XES XML (Lenient)";
	}
	
	public String getDescription() {
		return "Reads a lenient IEEE XES log from a plain XML serialization";
	}
	public String getAuthor() {
		return "Eric Verbeek";
	}
	
	public XesLog parse(File file) throws Exception {
		if (canParse(file)) {
			InputStream is = new FileInputStream(file);
			return parse(is);
		} else {
			throw new IllegalArgumentException("Parser cannot handle this file!");
		}
	}
}
