package org.xesstandard.xml.issues;

import org.xesstandard.model.XesClassifier;
import org.xesstandard.model.XesGlobal;
import org.xesstandard.xml.XesXmlIssueLevel;

public class XesXmlIssueAttributeValueEventTrace extends XesAbstractXmlIssue {

	/**
	 * Issue raised when the value of a scope attribute is not an "event" or "trace" value.
	 */
	private Object object;
	private String key;
	private String value;
	private String label;
	private String clause;
	
	public XesXmlIssueAttributeValueEventTrace(XesGlobal global, String key, String value) {
		super(XesXmlIssueLevel.CONFORMING);
		this.object = global;
		this.key = key;
		this.value = value;
		label = "Global";
		clause = "Clause 5.6.2";
	}
	
	public XesXmlIssueAttributeValueEventTrace(XesClassifier classifier, String key, String value) {
		super(XesXmlIssueLevel.CONFORMING);
		this.object = classifier;
		this.key = key;
		this.value = value;
		label = "Classifier";
		clause = "Clause 5.7.2";
	}
	
	public String toString() {
		return super.toString() + "Attribute value " + value + " for " + key + " is not event or trace (see " + clause + ").";
	}
}