package org.xesstandard.xml.issues;

import org.xesstandard.model.XesExtension;
import org.xesstandard.xml.XesXmlIssueLevel;

public class XesXmlIssueAttributeValueURI extends XesAbstractXmlIssue {

	/**
	 * Issue raised when the value of a URI attribute is not a URI value.
	 */
	private Object object;
	private String key;
	private String value;
	private String label;
	
	public XesXmlIssueAttributeValueURI(XesExtension extension, String key, String value) {
		super(XesXmlIssueLevel.CONFORMING);
		this.object = extension;
		this.key = key;
		this.value = value;
		label = "Extension";
	}
	
	public String toString() {
		return super.toString() + "Attribute value " + value + " for " + key + " is not a URI value (see Clause 5.5.2).";
	}
}