package org.xesstandard.xml.issues;

import org.xesstandard.model.XesExtension;
import org.xesstandard.xml.XesXmlIssueLevel;

public class XesXmlIssueExtensionKey extends XesAbstractXmlIssue {

	/**
	 * Issue raised when a classifier has no keys.
	 */
	private XesExtension extension;
	private String key;
	private String level;
	
	public XesXmlIssueExtensionKey(XesExtension extension, String key, String level) {
		super(XesXmlIssueLevel.CONFORMING);
		this.extension = extension;
		this.key = key;
		this.level = level;
	}
	
	public String toString() {
		return super.toString() + "Extension " + extension.getName() + " does not know " + level + " key " + key + " (see Clause 4.5).";
	}
}
